package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFLK6 extends MwfRequest<MWFLK6, MWFLK6Response> {

    @Parameter(name = "AGENTID")
    MWFLK6 agentid(String agentid);
    @Parameter(name = "CASDO")
    MWFLK6 casdo(String casdo);
    @Parameter(name = "CASOD")
    MWFLK6 casod(String casod);
    @Parameter(name = "CHANNEL")
    MWFLK6 channel(Long channel);
    @Parameter(name = "DATUMGENEROVANI")
    MWFLK6 datumgenerovani(java.util.Date datumgenerovani);
    @Parameter(name = "GEMID3")
    MWFLK6 gemid3(String gemid3);
    @Parameter(name = "IDOM")
    MWFLK6 idom(String idom);
    @Parameter(name = "JMENO")
    MWFLK6 jmeno(String jmeno);
    @Parameter(name = "KLIENT")
    MWFLK6 klient(Long klient);
    @Parameter(name = "ORDERNOTE")
    MWFLK6 ordernote(String ordernote);
    @Parameter(name = "ORDERNUM")
    MWFLK6 ordernum(String ordernum);
    @Parameter(name = "ORDERPRICE")
    MWFLK6 orderprice(Long orderprice);
    @Parameter(name = "PRIJMENI")
    MWFLK6 prijmeni(String prijmeni);
    @Parameter(name = "PRODUKT")
    MWFLK6 produkt(String produkt);
    @Parameter(name = "PRODUKTTYPID")
    MWFLK6 produkttypid(Long produkttypid);
    @Parameter(name = "TELEFONNICISLO")
    MWFLK6 telefonnicislo(String telefonnicislo);
    @Parameter(name = "WEB2CALL_ID")
    MWFLK6 web2callId(Long web2callId);
    @Parameter(name = "ZDROJOVAADRESA")
    MWFLK6 zdrojovaadresa(String zdrojovaadresa);
}
